Subject: Tropical Landscape Architecture

From: "Eugenio A. Lomba" <[email-masked]>
Date: 21 Mar 1996 20:51:33 GMT

Hi, I am looking for information on Tropical Landscape Architecture or
Landscape Architecture in tropical environments!  Any information will
be welcomed, please, summit it to my personal e-mail ([email-masked])

Thanks!

EAL